Subject: Re: netfilter 00/31: netfilter update

From: Patrick McHardy <[email-masked]>
Date: Fri, 12 Jun 2009 03:35:09 +0200

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Fri, 12 Jun 2009 01:47:22 +0200
>
>   
>> Appologies again, I didn't test CONFIG_NETFILTER_DEBUG=y.
>> I'll fix it up and do a few more compile tests myself.
>>     
>
> Thank you.
>   

I've added this patch and built all combinations I could come up with,
I think it should finally be fine.

Please pull from:

git://git.kernel.org/pub/scm/linux/kernel/git/kaber/nf-next-2.6.git master

Thanks!

commit 24992eacd8a9f4af286bdaaab627b6802ceb8bce
Author: Patrick McHardy <[email-masked]>
Date:   Fri Jun 12 01:53:09 2009 +0200

    netfilter: ip_tables: fix build error
    
    Fix build error introduced by commit bb70dfa5 (netfilter: xtables:
    consolidate comefrom debug cast access):
    
    net/ipv4/netfilter/ip_tables.c: In function 'ipt_do_table':
    net/ipv4/netfilter/ip_tables.c:421: error: 'comefrom' undeclared (first use in this function)
    net/ipv4/netfilter/ip_tables.c:421: error: (Each undeclared identifier is reported only once
    net/ipv4/netfilter/ip_tables.c:421: error: for each function it appears in.)
    
    Signed-off-by: Patrick McHardy <[email-masked]>

diff --git a/net/ipv4/netfilter/ip_tables.c b/net/ipv4/netfilter/ip_tables.c
index 5bf7c3f..fdefae6 100644
--- a/net/ipv4/netfilter/ip_tables.c
+++ b/net/ipv4/netfilter/ip_tables.c
@@ -418,7 +418,7 @@ ipt_do_table(struct sk_buff *skb,
 #endif
 		verdict = t->u.kernel.target->target(skb, &tgpar);
 #ifdef CONFIG_NETFILTER_DEBUG
-		if (comefrom != 0xeeeeeeec && verdict == IPT_CONTINUE) {
+		if (tb_comefrom != 0xeeeeeeec && verdict == IPT_CONTINUE) {
 			printk("Target %s reentered!\n",
 			       t->u.kernel.target->name);
 			verdict = NF_DROP;